﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
  <div id="Set_UDef">
      <div class="table-container">                    
        <div class="table-title"><span>/*[ID_USER_SET]*/</span></div>
          <div class="table-list padding-tn">
            <form action="../cgi-bin/web_cgi_control.cgi" id="settingForm" method="post">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_TIME]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_SET_VALUE]*/</strong></li>
                        <li class="t-5"><strong>/*[ID_SET]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                     <%
                     var ControlSignal = false;
                     if(data.list && data.list.length>0){
                     for(var i=0,ilen=data.list.length;i<ilen; i++){ 
                          if(data.list[i][5]>0){
                                var setTimeStr = Pages.SetSettingDate(data.list[i][5]);
                            } else {
                                var setTimeStr = "--";
                            }
                        %>
                    <ul class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ if(i==ilen-1){ %> bottom_line2 <%}} %>"  id="<%=data.list[i][1] %>_<%=data.list[i][2] %>_<%=data.list[i][3] %>">
                        <li class="t-1"><span class="left pl"><%=data.list[i][0][lang] %></span></li>
                        <li class="t-2"><span class="left pl">
                        <%if(data.list[i][2] == 1 && data.list[i][10].length==1){ %>
                        <%=data.list[i][10][0][lang] %>
                        <%}else{ %>
                        <%if(data.list[i][8]==5){ %><%=data.list[i][10][data.list[i][9]][lang]%> <%}else{ %><%=data.list[i][9] %><%};if(typeof data.list[i][10] =="string"){ %><%=data.list[i][10]%><%};} %></span></li>
                        <li class="t-3"><span class="left pl"><%=setTimeStr %></span></li>
                        <li class="t-4">
                             <%if(data.list[i][8]==5){
                             if(data.list[i][10].length<=2){ %>
                                <span class="left pl radio">
                                <fieldset class="set_value">
                                <%
                                ControlSignal = (data.list[i][2] == 1) ? true : false;
                                for(var j=0,jlen=data.list[i][10].length; j<jlen;j++){ 
                                var inputValue = (jlen==1)? 1: j;
                                %><div name="control_<%=i %>" value="<%=inputValue %>" <%if(j==0){if(args['level']<data.list[i][4] || (ControlSignal && data.list[i][12]==0)){%>class="radiodiv disradiodiv"<%}else{%>class="radiodiv"<%}}else{if(args['level']<data.list[i][4] || (ControlSignal && data.list[i][12]==0)){%>class="radiodiv disradiodivnot"<%}else{%>class="radiodiv radiodivnot "<%}}%>><label><%=data.list[i][10][j][lang]%></label></div>
                                <%} %>
                                </fieldset>
                                </span>
                            <%}else {  ControlSignal = false; %>
                            <span class="left pl selectsp">
                              <div class="dropdown">
                                    <div name="control_<%=i %>" <%if(args['level']<data.list[i][4]){ %> class="input_select set_disabled"<%} else { %> class="input_select set_value" <%} %> data-index="0"><%=data.list[i][10][0][lang]%></div>
                                    <ul class="language yinc">
                                    <%for(var j=0,jlen=data.list[i][10].length; j<jlen;j++){ %>
                                         <li><a href="javascript:void(0)" rel="<%=j %>"><%=data.list[i][10][j][lang]%></a></li>
                                        <% 
                                    }%>
                                    </ul>
                             </div>
                              </span>
                            <%}} else {  ControlSignal = false; %>
                                <span class="left pl text"><input type="text" value="" name="control_<%=i %>" <%if(args['level']<data.list[i][4]){ %> disabled="disabled" class="set_disabled"<%} else { %> class="set_value" <%} %> validate='{"type":<%=data.list[i][8] %>,"range":[<%=data.list[i][7]%>,<%=data.list[i][6]%>]}' /> <i><%=data.list[i][7] %>~<%=data.list[i][6] %></i></span><%}%>
                    
                        </li>
                        <li class="t-5"><a href="#" hideFocus="true" <%if(args['level']>=data.list[i][4]){ %>class="btn_set<%if(ControlSignal){ %> set_control <%if(data.list[i][12]==0){ %> btn_set_disabled <%};} %>" post="equip_ID=<%=data.list[i][1]%>&signal_type=<%=data.list[i][2] %>&signal_id=<%=data.list[i][3] %>&value_type=<%=data.list[i][8] %>&control_type=1" <%}else { %>class="btn_set_disabled"<%} %> <%if(!ControlSignal){ %> value="<%=data.list[i][9]%>" <%} else { %> tip="<%=jQuery.toJSON(data.list[i][11]) %>" <%} %> ><i>/*[ID_SET1]*/</i></a></li>
                    </ul>
                    <%};}  else { %>
                    <div class="system-no-data">/*[ID_NO_DATA]*/</div>
                    <%} %>
                </div>
            </div>
            </form>
        </div>
      </div>
  </div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>